#include <bits/stdc++.h>
using namespace std;
int main()
{
	int n;
	string inp;
	cin>>n;
	getchar();
	cin>>inp;
	long long size=inp.size(),j,i,red=0,green=0,blue=0;
	for(i=0 ; i<size ; i++){
		if(inp[i]=='R') red++;
		else if(inp[i]=='G') green++;
		else blue++;
	}
	long long ans=red*green*blue;
	for(i=0 ; i<size-2 ; i++){
		for(j=i+1 ; j<size-1; j++){
			long long k=2*j - i;
		//	cout<<i<<" "<<j<<" "<<k<<endl;
			if(k<size){
				if(inp[i]+inp[j]+inp[k]=='R'+'G'+'B') ans--;}
		}
	}
	cout<<ans<<endl;
	return 0;
}